import { InitializerPatches } from './base';
export declare class InitializerClaimRef extends InitializerPatches {
    protected static applicableKinds: string[];
    applicableProviders: string[];
    __validate(): Promise<boolean>;
    __patches(claim: any, _previousCR: any): Promise<{
        validate(cr: any): any;
        apply(cr: any): any;
        identify(): string;
    }[]>;
}
